org.eclipse.wst.jsdt.chromium.debug.core.sourcemap

## Interface TextSectionMapping

All Known Implementing Classes:
  TextSectionMappingImpl

    public interface TextSectionMapping

Defines a mapping from one text file into another one. Mapping works in both directions: one is called "direct" and another is called "reverse".

### Nested Class Summary

Nested Classes
`static class` `TextSectionMapping.Direction`
`static class` `TextSectionMapping.TextPoint` A structure of line/column.

### Method Summary

All Methods Instance Methods Abstract Methods
`TextSectionMapping.TextPoint` `transform(TextSectionMapping.TextPoint point, TextSectionMapping.Direction direction)` Transforms a point into another `TextSectionMapping.TextPoint` according to the map in direct or reverse direction.

### Method Detail

#### transform

    TextSectionMapping.TextPoint transform(TextSectionMapping.TextPoint point,
                                           TextSectionMapping.Direction direction)

Transforms a point into another `TextSectionMapping.TextPoint` according to the map in direct or reverse direction.